Bug 239014 - (CVE-2007-2509) CVE-2007-2509 php CRLF injection
CVE-2007-2509 php CRLF injection
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20070503,reported=20070503,sou...
:
Depends On: 239015 239016 239017 239020 239026 239469 239566 278351 278361
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 09:36 EDT by Mark J. Cox (Product Security)
Modified: 2008-01-16 09:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 09:06:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-05-04 09:36:09 EDT
PHP upstream release on 20070504 stated "- Fixed CRLF injection inside
ftp_putcmd(). (CVE-NO-NAME, by loveshell[at]Bug.Center.Team)"
Comment 1 Mark J. Cox (Product Security) 2007-05-08 11:32:41 EDT
text "A flaw was found in the PHP 'ftp' extension. If a PHP script used this
extension to provide access to a private FTP server, and passed untrusted
script input directly to any function provided by this extension, a remote
attacker would be able to send arbitrary FTP commands to the server.
(CVE-2007-2509)"
Comment 6 Red Hat Product Security 2008-01-16 09:06:57 EST
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0355.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0348.html
  http://rhn.redhat.com/errata/RHSA-2007-0889.html
  http://rhn.redhat.com/errata/RHSA-2007-0888.html
  http://rhn.redhat.com/errata/RHSA-2007-0349.html

Fedora:
  updated to fixed upstream version


Note You need to log in before you can comment on or make changes to this bug.